.main-container {
    width: 7.5rem;
    margin: auto;
    background: none no-repeat center top rgba(255, 255, 255, 1);
    background-size: 100% auto;
    box-sizing: border-box;
    position: relative;
    border: 0 solid #ccc;
}

.main-container.main-mask:before {
    width: 100%;
    height: 4.3rem;
    background: linear-gradient(to top, rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, 1) 15%, rgba(255, 255, 255, 0) 100%);
    display: block;
    left: 0;
    top: 0;
    content: "";
    position: absolute;
}

/*middle*/
.block-con {
    width: 100%;
    display: flex;
    justify-content: flex-start;
    flex-wrap: wrap;
    box-sizing: border-box;
    position: relative;
    z-index: 2;
}

.block-type {
    font-size: 0.22rem;
    color: #666;
    box-sizing: border-box;
    overflow: hidden;
    height: auto;
    padding: 0.1rem 0.1rem;
    width: 50%;
    border: 0 solid #ccc;
    background: none no-repeat center center;
    background-size: 100% 100%;
    display: flex;
    align-items: center;
    justify-content: flex-start;
}
.block-type span{
    text-align: left;
}
/*!*blue style*!*/
/*.main-container[data-type="1"] .block-type[data-default="0"] {*/
/*    border-left-width: 0.05rem;*/
/*    border-color: #8b99c9;*/
/*    font-size: 0.28rem;*/
/*    font-weight: 700;*/
/*    color: rgb(102, 102, 102);*/
/*    background-color: #ffffff*/
/*}*/
/*.main-container[data-type="1"] .block-type[data-default="1"] {*/
/*    border: 1px solid #999ebf;*/
/*    color: #ffffff;*/
/*    background-color: #a8bae0;*/
/*}*/
/*.main-container[data-type="1"] .block-type[data-default="2"] {*/
/*    border: 1px solid rgb(153, 158, 191);*/
/*    color: rgb(102, 102, 102);*/
/*    background-color: rgb(255, 255, 255);*/
/*}*/
/*!*black-white-gray style*!*/
/*.main-container[data-type="2"] .block-type[data-default="0"] {*/
/*    font-size: 0.28rem;*/
/*    font-weight: 700;*/
/*    color: rgb(255, 255, 255);*/
/*    background-color: rgb(71, 71, 71)*/
/*}*/
/*.main-container[data-type="2"] .block-type[data-default="1"] {*/
/*    border: 1px solid rgb(71, 71, 71);*/
/*    color: rgb(71, 71, 71);*/
/*    background-color: rgb(207, 207, 207);*/
/*}*/
/*.main-container[data-type="2"] .block-type[data-default="2"] {*/
/*    border: 1px solid rgb(71, 71, 71);*/
/*    color: rgb(33, 33, 33);*/
/*    background-color: rgb(255, 255, 255);*/
/*}*/
/*!*yellow style*!*/
/*.main-container[data-type="3"] .block-type[data-default="0"] {*/
/*    justify-content: center;*/
/*    border-bottom: 0.02rem solid rgb(255, 202, 140);*/
/*    font-size: 0.32rem;*/
/*    font-weight: 700;*/
/*    color: rgb(255, 202, 140);*/
/*    background-color: rgb(255, 248, 235);*/
/*}*/
/*.main-container[data-type="3"] .block-type[data-default="1"] {*/

/*    padding: 0.1rem;*/
/*    border-top-width: 0.01rem;*/
/*    border-bottom-width: 0.01rem;*/
/*    border-left-width: 0.03rem;*/
/*    border-right-width: 0.01rem;*/
/*    border-color: rgb(255, 202, 140);*/
/*    color: rgb(102, 102, 102);*/
/*    background-color: rgb(255, 248, 235);*/
/*}*/
/*.main-container[data-type="3"] .block-type[data-default="2"] {*/

/*    border: 1px solid rgb(255, 202, 140);*/
/*    color: rgb(102, 102, 102);*/
/*    background-color: rgb(255, 255, 255);*/
/*}*/
/*!*purple style*!*/
/*.main-container[data-type="4"] .block-type[data-default="0"] {*/

/*    font-size: 0.28rem;*/
/*    font-weight: 700;*/
/*    color: rgb(255, 255, 255);*/
/*    background-color: rgb(182, 115, 217);*/
/*}*/
/*.main-container[data-type="4"] .block-type[data-default="1"] {*/
/*    border: 1px solid rgb(170, 111, 191);*/
/*    color: rgb(255, 255, 255);*/
/*    background-color: rgb(205, 152, 235);*/
/*}*/
/*.main-container[data-type="4"] .block-type[data-default="2"] {*/
/*    border: 1px solid rgb(170, 111, 191);*/
/*    color: rgb(170, 111, 191);*/
/*    background-color: rgb(255, 255, 255);*/
/*}*/
/*!*red style*!*/
/*.main-container[data-type="5"] .block-type[data-default="0"] {*/
/*    justify-content: center;*/
/*    border-top: 0.01rem solid rgb(133, 88, 88);*/
/*    font-size: 0.32rem;*/
/*    font-weight: 700;*/
/*    color: rgb(133, 88, 88);*/
/*    background-color: rgb(237, 199, 199);*/
/*}*/
/*.main-container[data-type="5"] .block-type[data-default="1"] {*/
/*    border: 1px solid rgb(237, 199, 199);*/
/*    color: rgb(133, 88, 88);*/
/*    background-color: rgb(255, 217, 217);*/
/*}*/
/*.main-container[data-type="5"] .block-type[data-default="2"] {*/
/*    border: 1px solid rgb(237, 199, 199);*/
/*    color: rgb(133, 88, 88);*/
/*    background-color: rgb(255, 255, 255);*/
/*}*/


.block-type.has-boxShadow {
    box-shadow: 0 0 0.1rem 0 #c1c1c1;
}

.block-type a, .block-type span, .block-type img {
    font-size: inherit;
    color: inherit;
    /*pointer-events: none;
     */
}

.block-type img {
    width: 100%;
    height: auto;
}

.block-layout-col, .block-layout-row {
    box-sizing: border-box;
    display: flex;
    height: auto;
    flex-grow: 1;
    padding: 0;
    border: 0;
    /*max-width: 50%;*/
}

.block-layout-col {
    flex-direction: column;
}

.block-layout-row > div {
    width: 50%
}
